Install our app 🪄 click on the icon in the top right of the address bar.

Domain names

GET https://app.dajaup.com/api/domain-names/
curl --request GET \
--url 'https://app.dajaup.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
search Optional String The search string.
search_by Optional String What field are you searching by. Allowed values are: name, target.
is_enabled Optional Boolean
datetime_field Optional String Allowed values: datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime
datetime_start Optional String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Optional String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Optional String What field to order the results by. Allowed values are: domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "project_id": 1,
            "name": "Example",
            "target": "Example",
            "whois": [],
            "whois_notifications": [],
            "ssl": {},
            "ssl_notifications": [],
            "total_checks": 1,
            "last_check_datetime": null,
            "next_check_datetime": null,
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-09-07 17:10:55"
        }
    ],
    "meta": {
        "page": 1,
        "total_pages": 1,
        "results_per_page": 25,
        "total_results": 1
    },
    "links": {
        "first": "https://app.dajaup.com/api/domain-names?page=1",
        "last": "https://app.dajaup.com/api/domain-names?page=1",
        "next": null,
        "prev": null,
        "self": "https://app.dajaup.com/api/domain-names?page=1"
    }
}
GET https://app.dajaup.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://app.dajaup.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": [],
        "whois_notifications": [],
        "ssl": {},
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-07 17:10:55"
    }
}
POST https://app.dajaup.com/api/domain-names
Parameters Details Description
name Required String -
target Required String -
project_id Optional Integer -
whois_notifications Optional Array Notification handler ids
whois_notifications_timing Optional Integer Allowed values: 1, 2, 3, 7, 14, 30, 60 (days)
ssl_notifications Optional Array Notification handler ids
ssl_notifications_timing Optional Integer Allowed values: 1, 2, 3, 7, 14, 30, 60 (days)
is_enabled Optional Boolean -
curl --request POST \
--url 'https://app.dajaup.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": null,
        "whois_notifications": [],
        "ssl": null,
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-07 17:10:55"
    }
}
POST https://app.dajaup.com/api/domain-names/{domain_name_id}
Parameters Details Description
name Optional String -
target Optional String -
project_id Optional Integer -
whois_notifications Optional Array Notification handler ids
whois_notifications_timing Optional Integer Allowed values: 1, 2, 3, 7, 14, 30, 60 (days)
ssl_notifications Optional Array Notification handler ids
ssl_notifications_timing Optional Integer Allowed values: 1, 2, 3, 7, 14, 30, 60 (days)
is_enabled Optional Boolean -
curl --request POST \
--url 'https://app.dajaup.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "project_id": 1,
        "name": "Example",
        "target": "Example",
        "whois": [],
        "whois_notifications": [],
        "ssl": {},
        "ssl_notifications": [],
        "total_checks": 1,
        "last_check_datetime": null,
        "next_check_datetime": null,
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-09-07 17:10:55"
    }
}
DELETE https://app.dajaup.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://app.dajaup.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \